Page MenuHomePhabricator

Add 'totext' parameter to API action=compare
Closed, ResolvedPublic

Description

It'll also want a flag to indicate that PST is desired. This is to replace the now-deprecated rvdifftotext and rvdifftotextpst parameters to prop=revisions (see T164106).

Event Timeline

Anomie created this task.May 4 2017, 7:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 7:34 PM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.May 4 2017, 7:35 PM
Anomie claimed this task.May 4 2017, 11:11 PM
Anomie moved this task from Needs Code to In Dev on the MediaWiki-API board.

Change 352191 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Rewrite ApiComparePages

https://gerrit.wikimedia.org/r/352191

Anomie moved this task from In Dev to Needs Review on the MediaWiki-API board.May 5 2017, 7:54 PM

Change 352191 merged by jenkins-bot:
[mediawiki/core@master] API: Rewrite ApiComparePages

https://gerrit.wikimedia.org/r/352191

Anomie closed this task as Resolved.Jun 5 2017, 7:49 PM